<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title></title>
<script type='text/javascript'>
	parent.guide("user_invite");
</script>
<link rel="stylesheet" type="text/css" href="skin/default/jooyea/css/row_menus.css">
<link rel="stylesheet" type="text/css" href="skin/default/jooyea/css/iframe.css">
<link rel="stylesheet" type="text/css" href="skin/default/jooyea/css/user_ico_small.css">
<!--[if lt IE 7]>
<style type="text/css">
.uico_photo_small span { behavior: url(skin/default/jooyea/css/ie_png_fix.htc);}
</style>
<![endif]-->
</head>
<body>
  <div class="main_right_title">
     <span class="main_title_dot3"></span>
     <span class="main_title_txt">{echo:lp{mp_mypals};/}</span>
  </div>

<div id="tabsB">
  <ul>
    <li><a href="?app=mypals" title="{echo:lp{mp_list};/}"><span>{echo:lp{mp_list};/}</span></a></li>
    <li><a href="?app=mypals_request" title="{echo:lp{mp_req};/}"><span>{echo:lp{mp_req};/}</span></a></li>
    <li><a href="?app=mypals_invite" title="{echo:lp{mp_invite};/}" class="nowbutl"><span class="nowbutr">{echo:lp{mp_invite};/}</span></a></li>
    <li><a href="?app=mypals_sort" title="{echo:lp{mp_m_sort};/}"><span>{echo:lp{mp_m_sort};/}</span></a></li>
  </ul>
	  
	<div class="div_but" onclick="location.href='?app=mypals_search'">{echo:lp{mp_add};/}</div>
</div>

<div class="photo_view_box">
	<div class="photo_view_content">
		<dl class="invite_info">
			<dt><strong>邀请更多的朋友和同事加入{echo:$siteName;/}！</strong></dt>
			<dd>您可以通过QQ、MSN等IM工具，或者发送邮件，把下面的链接告诉你的好友，邀请他们加入进来。</dd>
			<dd><a href="{echo:$user_home_url;/}" target="_blank">{echo:$user_home_url;/}</a></dd>
			<dd>您还可以修改或直接点击“复制”按钮，将下边的简短邀请函通过QQ、MSN或Email发送给更多好友。</dd>
			<dd><strong>简短邀请函:</strong></dd>
			<dd><TEXTAREA id="codeTxt">
Hi，我是{echo:filt_word(get_sess_username());/}，

{echo:$siteName;/}上建立了个人主页，邀请你也加入并成为我的好友。

加入到我的好友中，你就可以通过我的个人主页了解我的近况，分享我的照片，随时与我保持联系。

邀请附言：

点击以下链接，接受好友邀请：
{echo:$user_invite_url;/}


如果你拥有{echo:$siteName;/}上的账号，请点击以下链接查看我的个人主页：
{echo:$user_home_url;/}
	</TEXTAREA> </dd>
<dd>	<input type=button id="copy_start" value="点击复制内容，粘贴消息通过QQ、MSN或Email发送给好友"></dd>
		</dl>
	</div>
</div>		

<script type="text/javascript">

    var copyStart=document.getElementById("copy_start");
     copyStart.onclick=function() {
     copy(document.getElementById("codeTxt"), {sMsg : "复制成功,直接Ctrl+V进行粘贴", fMsg : "您的浏览器不支持自动复制功能，请使用Ctrl+C进行复制"});
    }
     copyStart.onmouseover = function(){
	 	this.style.background = "#ffffcc"
	 }
     copyStart.onmouseout = function(){
	 	this.style.background = "#efefef"
	 }
 
    function copy(obj, aoConfig) {
     if(obj.type != "hidden" && obj.value != "") {
      obj.focus();
     }
     obj.select();
     if(copyToClipboard(obj.value)) {
      parent.Dialog.alert(aoConfig.sMsg);
     }
    
     function copyToClipboard(value) {
      if(window.clipboardData) { 
            window.clipboardData.clearData(); 
            window.clipboardData.setData("Text", value); 
        }
      else if(navigator.userAgent.indexOf("Opera") != -1) {
       window.location = value;
      }
      else if (window.netscape) { 
            try { 
                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect"); 
            } 
            catch (e) { 
                parent.Dialog.alert(aoConfig.fMsg);
        return false;
            } 
            var clip = Components.classes['@mozilla.org/widget/clipboard;1'].createInstance(Components.interfaces.nsIClipboard);
            if (!clip) return; 
            var trans = Components.classes['@mozilla.org/widget/transferable;1'].createInstance(Components.interfaces.nsITransferable); 
            if (!trans) return; 
            trans.addDataFlavor('text/unicode'); 
            var str = new Object(); 
            var len = new Object(); 
            var str = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString); 
            var copytext = value; 
            str.data = copytext; 
            trans.setTransferData("text/unicode",str,copytext.length*2); 
            var clipid = Components.interfaces.nsIClipboard; 
            if (!clip) 
                return false; 
            clip.setData(trans,null,clipid.kGlobalClipboard); 
        }
      return true;
     }
    }
   
</script>
</body>
</html>